Patch time!



April 12th, 2005

It's the second Tuesday of the month and that can only mean one thing - Microsoft Patch Day! đŸ™‚

Critical Security Bulletins

MS05-019 - Vulnerabilities in TCP/IP Could Allow Remote Code Execution and Denial of Service (893066)

Affected Software:
- Microsoft Windows 2000 Service Pack 3
- Microsoft Windows 2000 Service Pack 4
- Microsoft Windows XP Service Pack 1
- Microsoft Windows XP Service Pack 2
- Microsoft Windows XP 64-Bit Edition Service Pack 1
(Itanium)
- Microsoft Windows XP 64-Bit Edition Version 2003
(Itanium)
- Microsoft Windows Server 2003
- Microsoft Windows Server 2003 for Itanium-based
Systems

Review the FAQ section of bulletin MS05-019 for information about these operating systems:
- Microsoft Windows 98
- Microsoft Windows 98 Second Edition (SE)
- Microsoft Windows Millennium Edition (ME)

Impact: Remote Code Execution
- Version Number: 1.0

MS05-020 - Cumulative Security Update for Internet Explorer (890923)

Affected Software
- Microsoft Windows 2000 Service Pack 3
- Microsoft Windows 2000 Service Pack 4
- Microsoft Windows XP Service Pack 1
- Microsoft Windows XP Service Pack 2
- Microsoft Windows XP 64-Bit Edition Service Pack 1 (Itanium)
- Microsoft Windows XP 64-Bit Edition Version 2003 (Itanium)
- Microsoft Windows Server 2003
- Microsoft Windows Server 2003 for Itanium-based Systems

Review the FAQ section of bulletin MS05-020 for information about these operating systems:
- Microsoft Windows 98
- Microsoft Windows 98 Second Edition (SE)
- Microsoft Windows Millennium Edition (ME)

Affected Components:
- Internet Explorer 5.01 Service Pack 3
- Internet Explorer 5.01 Service Pack 4
- Internet Explorer 5.5 Service Pack 2 on Microsoft Windows ME
- Internet Explorer 6 Service Pack 1
- Internet Explorer 6 Service Pack 1 (64-Bit Edition)
- Internet Explorer 6 for Windows XP Service Pack 2
- Internet Explorer 6 for Windows Server 2003
- Internet Explorer 6 for Windows Server 2003 for Itanium-based Systems

Impact: Remote Code Execution
- Version Number: 1.0

MS05-021 - Vulnerability in Exchange Server Could Allow Remote Code Execution (894549)

Affected Software:
- Microsoft Exchange 2000 Server Service Pack 3
- Microsoft Exchange Server 2003
- Microsoft Exchange Server 2003 Service Pack 1

Impact: Remote Code Execution
- Version Number: 1.0

MS05-022 - Vulnerability in MSN Messenger Could Lead to Remote Code Execution (896597)

Affected Software:
- MSN Messenger 6.2

Impact: Remote Code Execution
- Version Number: 1.0

MS05-023 - Vulnerabilities in Microsoft Word May Lead to Remote Code Execution (890169)

Affected Software:
- Microsoft Word 2000
- Microsoft Word 2002
- Microsoft Word 2003
- Microsoft Works Suite 2001
- Microsoft Works Suite 2002
- Microsoft Works Suite 2003
- Microsoft Works Suite 2004

Impact: Remote Code Execution
- Version Number: 1.0

Important Security Bulletins

MS05-016 - Vulnerability in Windows Shell that Could Allow Remote Code Execution (893086)

Affected Software:
- Microsoft Windows 2000 Service Pack 3
- Microsoft Windows 2000 Service Pack 4
- Microsoft Windows XP Service Pack 1
- Microsoft Windows XP Service Pack 2
- Microsoft Windows XP 64-Bit Edition Service Pack 1 (Itanium)
- Microsoft Windows XP 64-Bit Edition Version 2003 (Itanium)
- Microsoft Windows Server 2003
- Microsoft Windows Server 2003 for Itanium-based Systems

Review the FAQ section of bulletin MS05-016 for information about these operating systems:
- Microsoft Windows 98
- Microsoft Windows 98 Second Edition (SE)
- Microsoft Windows Millennium Edition (ME)

Impact: Remote Code Execution
- Version Number: 1.0

MS05-017 - Vulnerability in MSMQ Could Allow Remote Code Execution (892944)

Affected Software:
- Microsoft Windows 2000 Service Pack 3
- Microsoft Windows 2000 Service Pack 4
- Microsoft Windows XP Service Pack 1
- Microsoft Windows XP 64-Bit Edition Service Pack 1 (Itanium)

Review the FAQ section of bulletin MS05-017 for information about these operating systems:
- Microsoft Windows 98
- Microsoft Windows 98 Second Edition (SE)

Impact: Remote Code Execution
- Version Number: 1.0

MS05-018 - Vulnerability in Windows Kernel Could Allow Elevation of Privilege and Denial of Service (890859)

Affected Software:
- Microsoft Windows 2000 Service Pack 3
- Microsoft Windows 2000 Service Pack 4
- Microsoft Windows XP Service Pack 1
- Microsoft Windows XP Service Pack 2
- Microsoft Windows XP 64-Bit Edition Service Pack 1 (Itanium)
- Microsoft Windows XP 64-Bit Edition Version 2003 (Itanium)
- Microsoft Windows Server 2003
- Microsoft Windows Server 2003 for Itanium-based Systems

Review the FAQ section of bulletin MS05-018 for information about these operating systems:
- Microsoft Windows 98
- Microsoft Windows 98 Second Edition (SE)
- Microsoft Windows Millennium Edition (ME)

Impact: Elevation of Privilege
- Version Number: 1.0

For more information visit Microsoft Security home page. To retrieve the updates run Windows Update.

This entry was posted on Tuesday, April 12th, 2005 at 16:28 and is filed under Stay Secure. You can follow any responses to this entry through the RSS 2.0 feed. Both comments and pings are currently closed.

Comments are closed.